totempg_group_instance Struct Reference
Collaboration diagram for totempg_group_instance:
[legend]

## Data Fields

void(* | deliver_fn )(unsigned int nodeid, const void *msg, unsigned int msg_len, int endian_conversion_required)
void(* | confchg_fn )(enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id)
struct totempg_group * | groups
int | groups_cnt
int32_t | q_level
struct qb_list_head | list

## Detailed Description

Definition at line 242 of file totempg.c.

## Field Documentation

## confchg_fn

void(* totempg_group_instance::confchg_fn) (enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id)

Definition at line 249 of file totempg.c.

Referenced by totempg_groups_initialize().

## deliver_fn

void(* totempg_group_instance::deliver_fn) (unsigned int nodeid, const void *msg, unsigned int msg_len, int endian_conversion_required)

Definition at line 243 of file totempg.c.

Referenced by totempg_groups_initialize().

## groups

struct totempg_group* totempg_group_instance::groups

Definition at line 256 of file totempg.c.

Referenced by totempg_groups_initialize(), totempg_groups_join(), totempg_groups_joined_reserve(), and totempg_groups_mcast_joined().

## groups_cnt

int totempg_group_instance::groups_cnt

Definition at line 258 of file totempg.c.

Referenced by totempg_groups_initialize(), totempg_groups_join(), totempg_groups_joined_reserve(), and totempg_groups_mcast_joined().

## list

struct qb_list_head totempg_group_instance::list

Definition at line 261 of file totempg.c.

Referenced by totempg_groups_initialize().

## q_level

int32_t totempg_group_instance::q_level

Definition at line 259 of file totempg.c.

Referenced by totempg_groups_initialize().

The documentation for this struct was generated from the following file:

- totempg.c